;**************** definitions,restrictions and initializations ********************
;
if (Fast_sampling_CH1 GR 0) Then
<init>=>FastMode(1)				;switch on the Fast sampling mode on channel 1
else
<init>=>StandardMode(1)
end
;
if (Fast_sampling_CH2 GR 0) Then
<init>=>FastMode(2)				;switch on the Fast sampling mode on channel 2
else
<init>=>StandardMode(2)
end
;
if (A1_preillumination GR 0) Then
A1_enable = 1					;A1 preillumination
else
A1_enable = 0
end
;
if (A2_preillumination GR 0) Then
A2_enable = 1					;A2 preillumination
else
A2_enable = 0
end
;
if (FAR_duration GR 0) Then
FAR_enable = 1					;FAR preillumination
else
FAR_enable = 0
end
;
if (Stirrer_disable GR 0) Then
Stirrer_disable = 1				;Stirrer disable during protocol
<0s>=>A6(Experiment_duration)			;switch OFF stirrer during experiment
else
Stirrer_disable = 0
end
;
;******* Take the longest from A1,A2,FAR preilluminations ********
Temp = A1_preillumination -A2_preillumination
if (Temp GR 0) Then 
Preillumination_time = A1_preillumination
else
Preillumination_time = A1_preillumination
end
Temp = FAR_duration - Preillumination_time
if (Temp GR 0) Then
Preillumination_time = FAR_duration
end
if (Preillumination_time EQ 0) Then
Preillumination_time = 1.7Num
end
;*****************************************************************
A_Voltage=A1_Voltage   ;A_Voltage must be defined
;
First_AUX = 32*Stirrer_disable+4*FAR_enable+2*A2_enable+A1_enable
Second_AUX = 32*Stirrer_disable+2*A2_enable+A1_enable
<init>=>Init_AUX(First_AUX,Preillumination_time,Second_AUX,0.1)	

SkipDefaultDA = 1				;don't set default intensities
<init>=>DA1(M_Voltage)				;m1 default voltage
<init>=>DA2(F_Voltage)				;F1 default voltage 
<init>=>DA3(A1_Voltage)				;A1 default voltage
<init>=>DA4(0)					;m2 default voltage
<init>=>DA5(A2_Voltage)				;A2 default voltage
<init>=>DA6(FAR_RED_Voltage)			;set the FAR red intensity
<init>=>DA7(0)					;F2 default voltage
;

;